<%--
 Copyright (c) 2010 by Intevation GmbH

 This program is free software under the LGPL (>=v2.1)
 Read the file LGPL.txt coming with the software for details
 or visit http://www.gnu.org/licenses/ if it does not exist.
--%>

<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModelFactory"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModel"%>
<%@page import="de.intevation.gnv.action.sessionmodel.DiagrammOptions"%>
<%@page import="de.intevation.gnv.artifactdatabase.objects.OutputParameter"%>
<%@page import="java.util.Collection"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.net.URLEncoder"%>
<%
    // fetch diagramm parameter from request if the user clicked 'draw'
    SessionModel sm = SessionModelFactory.getInstance().getSessionModel(request);

    String target          = "chart"; 
    String mimeType        = null;
    String parameterString = "";

    boolean supportChart = sm.getOutputMode(target) != null;

    if (supportChart){
       mimeType                        = sm.getOutputMode(target).getMimeType();
       DiagrammOptions diagrammOptions = sm.getDiagrammOptions();
       Collection<OutputParameter> op  = sm.getOutputMode(target).getOutputParameters();

       if (op != null){
           Iterator<OutputParameter> it = op.iterator();
           while (it.hasNext()){
               OutputParameter parameter = it.next(); 
               parameterString = parameterString +"&amp;"+parameter.getName()+"="+(diagrammOptions != null ? diagrammOptions.getValue(parameter.getName()): parameter.getValue());
           }
       }
    }
%> 

<%-- diagramm is not null if the user clicked the 'draw' button --%>
<div id="diagram">
    <img src='<%=response.encodeURL("out.do?mimetype="+mimeType+"&amp;target="+target+"&amp;mode=img"+parameterString+"&amp;uid="+System.currentTimeMillis())%>' alt='<bean:message key="gnviewer.output.options.diagramm.alt"/>'/>
    <br/>
</div>
